Skip to content
D-Link / PRODUCT DOSSIER

D-Link DGS-3620-52P-SI

D-Link DGS-3620-52P-SI DGS-3620-52P/SI Switch
SKU: DGS-3620-52P/SI

D-Link DGS-3620-52P-SI DGS-3620-52P/SI Switch — Switch. Detailed technical specifications, hardware compatibility, and price breakdown.

View Specs Buy on Amazon →

You can report any missing or inaccurate technical specifications.

Recorded technical parameters and manufacturer data are verified.

Technical specifications

Recorded specifications are grouped by product category. Missing data does not imply lack of support.
Auto MDI/MDI-X
Yes
Auto MDI MDI-X
Yes
Connection Technology
Wired
10G support
Yes
Network Interface
Gigabit Ethernet
Transfer Speed Mbps
130,95 Mbit/s
Transfer Speed (Mb/s)
130,95 Mbit/s
Power Over Ethernet Poe Support
Yes
Service Quality QoS Support
Yes
Basic Opening Closing RJ 45 Ethernet Input Count
Data Speed
10/100/1000 Mbps
Wi-Fi
No
Wi-Fi standards
IEEE 802.1D, IEEE 802.1s, IEEE 802.1w
Communication LED Indicators
Yes
Power Connection
SFP/SFP+ port count
4
SFP SFP Port Count
4
Input frequency
50 / 60 Hz
Input voltage
100 - 240 V
Power consumption
Address Table Size
Shelf Installation
Yes
Web-based management
Yes
Product Color
Power LED
Yes
Contact Layer
Form factor
Routing Transit Capacity
Routing/switching capacity
176 Gbit/s
SFP Module Slot Count
Full Two-sided Printing
Yes
Package Cache
Brand
D-Link
Category
Network Switches
Product Name
DGS-3620-52P-SI
GTIN EAN UPC
0790069354250,
Category
Network Switches
Brand
D-Link
Product Name
DGS-3620-52P-SI
Product Series
Sold Markets
NL, GB, CZ, FR, DE, PT, ES, IT, BE, DK, SE, FI, WW, CA, LU
Date Added to System
2011-07-16
Production Date
Product Code
DGS-3620-52P/SI
Console Input
RJ-45
MIB support
RFC1213 MIB-II - RFC1493 Bridge MIB - RFC1907 SNMPv2 MIB - RFC2571~2576 SNMP MIB - RFC1271, 2819 RMON MIB - RFC2021 RMON v2 MIB - RFC2665 Ether-like MIB - RFC2668 MAU MIB - RFC2674 802.1p MIB - RFC2233, 2863 IF MIB - RFC2618 RADIUS Authentication Client MIB - RFC1724 RIP v2 MIB - RFC1850 OSPF v2 MIB - RFC2096 IP Forwarding Table MIB (CIDR) - RFC2787 VRRP MIB - RFC2932 IPv4 Multicast Routing MIB - RFC2934 PIM MIB for IPv4 - RFC2620 RADIUS Accounting Client MIB - RFC2933 IGMP MIB - Ping MIB - Traceroute MIB - D-Link Private MIB
Management protocols
Single IP Management v1.6 - CLI - Telnet Server - Telnet Client - SNMP v1, v2c, v3 - SNMP Trap on MAC Notification - BootP/DHCP Client - System Log - Trap/Alarm/Log Severity Control - Flash File System - CPU Monitoring via Web, CLI, SNMP - Virtual Interface2 - Web-based GUI - Web GUI Traffic Monitoring - TFTP Client - RMON v1, v2 - sFlow - DHCP Auto-Configuration - DHCP Relay Option 82 - DHCP Relay Option 60 & 61 - DHCP Server - Dual Image - Dual Configuration - LLDP - DHCPv6 Client - DHCPv6 Relay - DHCPv6 Server - Cable Diagnotics - SNTP - ICMPv6 - Trusted Host - MTV Setting - NLB (Network Load Balancing) - LLDP-Med - Optical Transceiver Digital Diagnostic Monitoring (DDM) - 802.3ah D-Link extension: D-link Unidirectional Link Detection (DULD)
D-Link DGS-3620-52P-SI DGS-3620-52P/SI Switch